/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "pokercardui.h"

void pokerCardSetImage(image_t *image, texture_t *texture, card_t card) {
  uint8_t cardImageIndex = (
    cardGetNumber(card) == CARD_ACE ? (
      card - CARD_COUNT_PER_SUIT + 1
    ) : card+0x01
  );

  imageSetTextureAndCrop(
    image, texture,
    cardGetNumber(cardImageIndex) * 71,
    cardGetSuit(card) * 96,
    71, 96
  );
}